public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/nDPI/
Date: Sun,  9 Jun 2024 15:55:44 +0000 (UTC)	[thread overview]
Message-ID: <1717948519.000ec6f45221f09506a44722d98b7d015acda89a.sam@gentoo> (raw)

commit:     000ec6f45221f09506a44722d98b7d015acda89a
Author:     Denis Pronin <dannftk <AT> yandex <DOT> ru>
AuthorDate: Sat Jun  8 08:44:27 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  9 15:55:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=000ec6f4

net-libs/nDPI: add a new version 4.8

Closes: https://bugs.gentoo.org/933818
Signed-off-by: Denis Pronin <dannftk <AT> yandex.ru>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/nDPI/Manifest        |  1 +
 net-libs/nDPI/nDPI-4.8.ebuild | 57 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-libs/nDPI/Manifest b/net-libs/nDPI/Manifest
index cc2200b5f302..7c4fb21e62ba 100644
--- a/net-libs/nDPI/Manifest
+++ b/net-libs/nDPI/Manifest
@@ -1,3 +1,4 @@
 DIST nDPI-4.2.tar.gz 126559327 BLAKE2B 079267939083e788ce8b13e89b194504031e4c3e628df335ece7aab72cc80b8d8538badd45dac9fdaeeed8cd5dd19a81fece9c1157cba9a91dfa130abef61473 SHA512 c58b228b7de2b5fa111234bb065f9be259cd0282d0058f5985180aab6567c9a18e3453ce9062bd3c057a096ec3dfdc21b7c9680e0148e34af10f707530d853b8
 DIST nDPI-4.4.tar.gz 151062073 BLAKE2B fca968c0d0abcf18a6895dc6066b754925a2aa3cb3f395383f9add25066adf14bb95444a30950e13f7f22223ff203b16e7373c875841f33d8c885be83ed0bb6d SHA512 c5e3d38f7b6533bd4b9f96520c1d965bf0a8e3ec7e2d514bc42683bdb73d8331e28ed695f5d3972ace9e35f1af23359f5a25c0f5a20f7a8cc7a6b5446d592468
 DIST nDPI-4.6.tar.gz 29705235 BLAKE2B 65efdfee7af83093b08897fb726a07cf804a3ff901e7373cdc4b3d4564bbfba6ce9b498ab90172f437568c8275685dc51617e991216e38d515b3b5341760b964 SHA512 12dd50eeaae0aa5c2e3c89cb53cdb9989036759bd900312d3875eaba296646c2e42be31dc2b003cbc2401ccef8fbf8d2e460b9a604d7bece360f17f937d60cad
+DIST nDPI-4.8.tar.gz 39479237 BLAKE2B b2b30490a8688082cf41f364d4eeb24ccaaaf8e84e13963ad9fff2346888387b732bcd0c6485d7daba7ae131ea7ad58904f65d85ca7844da7d22bd120411ada0 SHA512 f76eb99a83262a6d148509c7ce457b9af35dce3657c8191405ba15999b25c323ee0bee2907b0a7e6ba6f12a63182fde839e0098a4e8e0f63999e600526f3036b

diff --git a/net-libs/nDPI/nDPI-4.8.ebuild b/net-libs/nDPI/nDPI-4.8.ebuild
new file mode 100644
index 000000000000..cca0c5c9ea00
--- /dev/null
+++ b/net-libs/nDPI/nDPI-4.8.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools edo
+
+DESCRIPTION="Open Source Deep Packet Inspection Software Toolkit"
+HOMEPAGE="https://www.ntop.org/"
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/ntop/${PN}"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/ntop/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="LGPL-3+"
+SLOT="0/$(ver_cut 1)"
+
+DEPEND="dev-libs/json-c:=
+	dev-libs/libgcrypt:=
+	dev-libs/libgpg-error
+	net-libs/libpcap"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	# "local" here means "local to the system", and hence means
+	# system copy, not the bundled one.
+	econf --with-local-libgcrypt
+}
+
+src_test() {
+	pushd tests || die
+
+	edo ./do.sh
+	edo ./do-unit.sh
+
+	popd || die
+}
+
+src_install() {
+	default
+
+	# Makefile logic is broken in 4.8, let's wait a bit given history and
+	# go with hack for now.
+	mv "${ED}"/usr/$(get_libdir)/pkgconfig "${ED}"/usr/usr/$(get_libdir)/pkgconfig || die
+	mv "${ED}"/usr/usr/* "${ED}"/usr || die
+	rm "${ED}/usr/$(get_libdir)"/lib${PN,,}.a || die
+	rm -rf "${ED}"/usr/usr || die
+}


             reply	other threads:[~2024-06-09 15:55 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-09 15:55 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-09 16:13 [gentoo-commits] repo/gentoo:master commit in: net-libs/nDPI/ Sam James
2024-06-09 15:55 Sam James
2023-02-03 16:53 Sam James
2022-08-18  0:31 Sam James
2022-07-09  4:01 Sam James
2022-02-08  6:31 Sam James
2022-01-04  6:46 Sam James
2022-01-03 11:23 Sam James
2020-05-16 11:49 Jeroen Roovers
2020-01-28 11:53 Jeroen Roovers
2019-12-28 10:14 Jeroen Roovers
2019-12-28  1:03 Jeroen Roovers
2019-12-28  1:03 Jeroen Roovers
2019-04-08 21:36 Patrice Clement
2018-01-22 21:03 Slawek Lis
2017-12-19 21:45 Thomas Deutschmann
2017-10-22 17:15 Jeroen Roovers
2017-06-19 11:59 Slawek Lis

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717948519.000ec6f45221f09506a44722d98b7d015acda89a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox